package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Hmdgfx;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface HmdgfxMapper {

    int insert(Hmdgfx record);

    int insertSelective(Hmdgfx record);

    int updateByPrimaryKeySelective(Hmdgfx record);

    int updateByPrimaryKey(Hmdgfx record);

    int deleteByPrimaryKey(Hmdgfx record);

    int deleteByIds(Collection<Object> collection);

    Hmdgfx selectByPrimaryKey(Hmdgfx record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Hmdgfx> dyncRead(Map<String, Object> dyncMap);

    List<Hmdgfx> selectByTrntypAndTrninr(@Param("trntyp") String trntyp, @Param("trninr") String trninr);

    int updateByTrninr(Hmdgfx record);

}